#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define	module	zope.deprecation
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Name:		python3-%{module}
Version:	5.1
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.deprecation/zope_deprecation-%{version}.tar.gz
# Source0-md5:	a971b204cf636bf65ba8418a317b3245
URL:		https://www.zope.dev/
BuildRequires:	python3 >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple function called deprecated(names,
reason) to mark deprecated modules, classes, functions, methods and
properties.

%description -l pl.UTF-8
Ten pakiet udostępnia prostą funkcję o nazwie deprecated(names,
reason), służącą do oznaczania przestarzałych modułów, klas, funkcji,
metod i własności.

%package apidocs
Summary:	API documentation for Python zope.deprecation module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.deprecation
Group:		Documentation

%description apidocs
API documentation for Python zope.deprecation module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.deprecation.

%prep
%setup -q -n zope_deprecation-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/deprecation
%{py3_sitescriptdir}/zope.deprecation-*.egg-info
%{py3_sitescriptdir}/zope.deprecation-*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Apr 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.deprecation.git;a=log;h=master

* Mon Apr 28 2025 Jakub Bogusz <qboosh@pld-linux.org> ad3536b
- python-zope.deprecation.spec updated to 5.1 for python 3.9+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9565dd8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9eca502
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> c4c9533
- added python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> baf928c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 37c5844
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 7073dc1
- updated to 4.4.0, added apidocs

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 7f72194
- noarch package
- rel 6

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> a7bcf3d
- disable debug packages; rel 5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0a5987f
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 251992c
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d4aac01
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2a5340e
- renamed, python3 support added

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a1c3040
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9313eb3
- automatic change: use py_build/py_install macros

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 1f24873
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 191b9d4
- up to 4.0.2, update url and desc

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> cdc48a7
- enable testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 33398c0
- rebuild for python eggs; verbose files; add testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> c37bfcd
- rebuild for python eggs; verbose files

